FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 11-30-2010, 07:48 PM
"James B. Byrne"
 
Default Help with yum and cpio: MD5 sum mismatch

I am trying to install Ruby-1.8.7p302 on a CentOS-5.5 server in
preparation for a Rails-3 application deployment. I have downloaded
the source from Rubyforge.org, unpacked it, and ran ./config and
make. Everything built without error. I then ran checkinstall to
create an rpm package. That too completed without error.

However, when I try to install the resulting package using:

yum localinstall /path/to/package --nogpgcheck I get this message:
. . .
Running Transaction
Installing : ruby-1.8.7
1/1
Error unpacking rpm package ruby-1.8.7-p302-1.i386
error: unpacking of archive failed on file /usr/bin/make;4cf56119:
cpio: MD5 sum mismatch

Failed:
ruby-1.8.7.i386 0302-1

Does anyone here know how to work around this?

--
*** E-Mail is NOT a SECURE channel ***
James B. Byrne mailto:ByrneJB@Harte-Lyne.ca
Harte & Lyne Limited http://www.harte-lyne.ca
9 Brockley Drive vox: +1 905 561 1241
Hamilton, Ontario fax: +1 905 561 0757
Canada L8E 3C3

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 11-30-2010, 09:01 PM
R P Herrold
 
Default Help with yum and cpio: MD5 sum mismatch

On Tue, 30 Nov 2010, James B. Byrne wrote:

> make. Everything built without error. I then ran
> checkinstall ...

checkinstall is a third party solution and does not keep up
too well

> Running Transaction
> Installing : ruby-1.8.7
> 1/1
> Error unpacking rpm package ruby-1.8.7-p302-1.i386
> error: unpacking of archive failed on file /usr/bin/make;4cf56119:
> cpio: MD5 sum mismatch

try a local install with rpm rather than yum; and add the
--nomd5 option there. that said, if it is encountering a
later compression (think: xz), you'll need to address the
matter with a 'real' rebuild

-- Russ herrold
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 11-30-2010, 11:30 PM
Nico Kadel-Garcia
 
Default Help with yum and cpio: MD5 sum mismatch

On Tue, Nov 30, 2010 at 3:48 PM, James B. Byrne <byrnejb@harte-lyne.ca> wrote:
> I am trying to install Ruby-1.8.7p302 on a CentOS-5.5 server in
> preparation for a Rails-3 application deployment. *I have downloaded
> the source from Rubyforge.org, unpacked it, and ran ./config and
> make. *Everything built without error. I then ran checkinstall to
> create an rpm package. That too completed without error.

Your RPM was built on a Fedora, RHEL 6, or other more recent OS with
the updated version of RPM.

I'm afraid you'll have to recompile it to get it to work well: use
'rpm2cpio' to take apart the SRPM and get the files, then deposit them
in a relevant "SOURCES" directory with the .spec file in your relevant
SPECS directory, and try to rebuild RPM's with the .spec file.

I can get into more detail if you need it, but it's how I backported
Torque 2.4.10 to RHEL 5 from the EPEL RHEL 6 repository two weeks ago.
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 03:24 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org